{% extends "base.html" %}

<!--dynamic table-->
{% block extrahead %}
    {% load staticfiles %}
    <link href="{% static "assets/datatables/css/dataTables.bootstrap.min.css" %}" rel="stylesheet">
{% endblock %}

{% block title %}Shop Info Point List{% endblock %}
{% block point_active %}active{% endblock %}
{% block parent_point_a_active %}active{% endblock %}
{% block parent_point_i_active %}active{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-sm-12">
            <section class="panel panel-content">
                <header class="panel-heading" style="font-size: 20px">
                    <span>Shop Info Point Management</span>

                    <span class="tools pull-right">
                            <a class="btn btn-success start" href="{% url 'add_res_points' %}">
                                <i class="glyphicon glyphicon-plus"></i>
                                <span>Add New</span>
                            </a>
                    </span>
                </header>
                <div class="panel-body">
                    <div class="adv-table table-responsive">
                        <table class="display table table-bordered table-striped"
                               id="res-point-table">
                            <thead>
                            <tr>
                                <th class="center text-center ver-center">No</th>
                                <th class="center text-center ver-center">QR Code</th>
                                <th class="center text-center ver-center">Restaurant Name</th>
                                <th class="center text-center ver-center">Issue Date</th>
                                <th class="center text-center ver-center">Point</th>
                                <th class="center text-center ver-center">Comment</th>
                                <th class="center text-center ver-center">Action</th>
                            </tr>
                            </thead>
                        </table>

                    </div>
                </div>
                <!--molda view QR code
                <div aria-hidden="true" aria-labelledby="myModalLabel" role="dialog" tabindex="-1"
                     id="qr_code_dialog"
                     class="modal fade">-->
                <div class="modal fade printable autoprint" id="qr_code_dialog">
                    <div class="modal-dialog modal-sm">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button aria-hidden="true" data-dismiss="modal" class="close" type="button">
                                    ×
                                </button>
                                <h4 class="modal-title">QR Code</h4>


                            </div>
                            <div class="modal-body">
                                <h4 class="modal-title">Restaurant:
                                    <label id="qr_res"></label>
                                </h4>
                                <h4 class="modal-title">Point:
                                    <label class="text-danger" id="qr_point">0</label>
                                </h4>
                                <h4 class="modal-title">Issue Date:
                                    <label class="text-danger" id="qr_date">0</label>
                                </h4>
                                <img src="" alt="" id="qr_code" class="img-responsive"/>

                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn btn-success" id="btnPrintQRCODE">
                                    Print
                                </button>
                                <button data-dismiss="modal" class="btn btn-default" type="button">
                                    Close
                                </button>
                            </div>

                        </div>
                    </div>
                </div>
                <!-- end modal-->
            </section>
        </div>
    </div>
    {#Comfirm Delete#}
    <div class="modal fade" id="confirmDelete" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-hidden="true">&times;</button>
                    <h4 class="modal-title"><strong>Delete Point</strong></h4>
                </div>
                <div class="modal-body" style="padding-bottom: 0px!important; padding: 0 3%;">
                    <form action="">
                        <div class="form-group">
                            <label>Are you sure you want to delete?</label>
                        </div>
                    </form>
                </div>
                <div class="modal-footer" style="text-align: center">
                    <button class="btn btn-default" type="button" data-dismiss="modal">No
                    </button>
                    <a id="comfirm-yes">
                        <button class="btn btn-danger" type="button">Yes</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
    {#End Comfirm delete#}
{% endblock %}
{% block extrafoot %}
    {% load staticfiles %}
    <script src="{% static 'assets/datatables/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'assets/datatables/js/dataTables.bootstrap.min.js' %}"></script>
    <!--dynamic table initialization -->
    <script src="{% static 'js/dynamic_table_init.js' %}"></script>
    <script>

        $(document).ready(function () {
            //Disable table error alert
            $.fn.dataTable.ext.errMode = 'throw';

            $('#res-point-table').dataTable({
                "order": [[0, "desc"]],
                "serverSide": true,
                "ajax": {
                    "url": "{% url 'get_res_points_list_as_json' %}",
                },
                "columns": [
                    {
                        "orderable": true,
                        "data": null,
                        "width": '5%',
                        "sClass": 'text-center',
                        "render": function (data, type, row, meta) {
                            return row.stt
                        }
                    },
                    {
                        "orderable": true,
                        "width": '10%',
                        "data": null,
                        "render": function (data, type, full, meta) {
                            var view_qr_code = '<a data-toggle="modal" href="#qr_code_dialog" class="view-qr-code"' +
                                    'data-id="' + full.qr_code + '"' +
                                    'data-restaurant_name="' + full.restaurant_name + '"' +
                                    'data-res_point="' + full.point + '"' +
                                    'data-issue_date="' + full.issue_date + '"> View / Print </a>'
                            return view_qr_code;
                        }
                    },
                    {"data": "restaurant_name", "sClass": 'text-left', "width": '15%'},
                    {"data": "issue_date", "width": '10%'},
                    {"data": "point", "width": '8%'},
                    {"data": "comment", "width": '10%'},
                    {
                        "orderable": false,
                        "data": null,
                        "width": '5%',
                        "render": function(data, type, row, meta) {
                            if (row.is_delete == 0) {
                                return '<a style="cursor: pointer;" onclick="deleteCp(' + row.id + ')">Delete</a>'
                            }
                            if (row.is_delete == 1) {
                                return '<span class="fa fa-trash-o text-danger">Deleted</span>'
                            }
                        }
                    },
                ]
            });

            //View QR Code
            $(document).on("click", ".view-qr-code", function () {
                var qr_code = $(this).data('id');
                var restaurant_name = $(this).data('restaurant_name');
                var res_point = $(this).data('res_point');
                var issue_date = $(this).data('issue_date');

                var qr_url = 'https://chart.googleapis.com/chart?chs=500x500&cht=qr&chl=' + qr_code + '&choe=UTF-8';

                $("#qr_code").attr('src', qr_url);
                $("#qr_res").text(restaurant_name);
                $("#qr_point").text(res_point);
                $("#qr_date").text(issue_date);
            });

            // Print QR Code
            $('#btnPrintQRCODE').click(function () {

                print_qr_code();
            });

            /*custom print*/
            function print_qr_code() {
                $('.modal-dialog', '#qr_code_dialog').addClass('focused');
                $('body').addClass('modalprinter');

                if ($('#qr_code_dialog').hasClass('autoprint')) {

                    document.title = "This Code just uses for once time ! ";
                    window.print();
                }
            }


            /*end test */

        })

        //Handle delete modal
        function deleteCp(id) {
            var url = '/cms/res_points/delete/' + id + '/'
            $("#confirmDelete").modal("show");
            $("#comfirm-yes").attr("href", url);
        }
    </script>
{% endblock %}
